Skip to main content
POST
Merge A Branch Into A Target Branch

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

agent_id
string
required

The id of an agent. This is returned on agent creation.

Example:

"agent_3701k3ttaq12ewp8b7qv5rfyszkz"

source_branch_id
string
required

Unique identifier for the source branch to merge from.

Example:

"agtbrch_8901k4t9z5defmb8vh3e9361y7nj"

Query Parameters

target_branch_id
string
required

The ID of the target branch to merge into.

Example:

"agtbrch_8901k4t9z5defmb8vh3e9361y7nj"

Body

application/json
archive_source_branch
boolean
default:true

Whether to archive the source branch after merging

force
boolean
default:false

Force source branch changes onto the target, overriding timestamp-based conflict resolution

Response

Successful Response